Command of the Day

Reply
Guru Elite
Posts: 21,260
Registered: ‎03-29-2007

COTD: apflash backup-partition (or how do I upgrade my RAP5 provisioning image?)

Remote APs, (RAP2, RAP5, RAP5WNs) have three images:

- Running Image
- Flash Image
- Zero Touch Provisioning/Backup image

You can see what images a RAP has on it by doing a "show ap image version :

(remoteap.arubanetworks.com) #     show ap image version ip-addr 10.69.32.152

AP Image Versions On Controller
-------------------------------
5.0.0.0(p4build@cartman)#23711 Mon Mar 22 12:40:27 PDT 2010
5.0.0.0(p4build@cartman)#23711 Mon Mar 22 12:33:07 PDT 2010

Access Points Image Version
---------------------------
AP Running Image Version String Flash (Production) Image Version String Flash (Provisioning/Backup) Image Version String Matches Num Matches Num Mismatches Bad Checksums Bad Provisioning Checksums Image Load Status
-- ---------------------------- --------------------------------------- ------------------------------------------------ ------- ----------- -------------- ------------- -------------------------- -----------------
10.69.32.152 5.0.0.0(p4build@cartman)#23711 Mon Mar 22 12:33:07 PDT 2010 5.0.0.0(p4build@cartman)#23711 Mon Mar 22 12:33:07 PDT 2010 3.3.2.11-rn-3.0.1(p4build@trinidad.arubanetworks.com)#21263 Wed May 6 22:30:18 PDT 2009 Yes 1 0 0 0 Done



The running image is what the AP is running at the time. The flash image is what is buried in the AP's flash that it boots off of. The provisioning image is what you see only during Zero Touch provisioning of that access point. The running as well as the flash image is updated when an AP boots to a controller. The provisioning image, however, needs to be updated manually via the commandline. In the Example above, the AP has a flash and running image that is on ArubaOS 5.0, but the backup, or zero-touch image is still on the RN code. That means that if the user does the reset procedure (also known as the paperclip) on this Remote AP, he will only have the provisioning options of the RN code, not the updated ArubaOS 5.0 code. He will be missing the ability to statically give an AP an ip address, configure PPPoe settings as well as be able to configure a broadband wireless modem on startup. To upgrade the provisioning image, this AP need to be booted to a controller that has the desired version of the provisioning image (in this case, it does) and execute the "apflash" command to the backup partition:



We know that it is upgrading by using the "show ap image version" command:

(remoteap.arubanetworks.com) #show ap image version ip-addr 10.69.32.152

AP Image Versions On Controller
-------------------------------
5.0.0.0(p4build@cartman)#23711 Mon Mar 22 12:40:27 PDT 2010
5.0.0.0(p4build@cartman)#23711 Mon Mar 22 12:33:07 PDT 2010

Access Points Image Version
---------------------------
AP Running Image Version String Flash (Production) Image Version String Flash (Provisioning/Backup) Image Version String Matches Num Matches Num Mismatches Bad Checksums Bad Provisioning Checksums Image Load Status
-- ---------------------------- --------------------------------------- ------------------------------------------------ ------- ----------- -------------- ------------- -------------------------- -----------------
10.69.32.152 5.0.0.0(p4build@cartman)#23711 Mon Mar 22 12:33:07 PDT 2010 5.0.0.0(p4build@cartman)#23711 Mon Mar 22 12:33:07 PDT 2010 3.3.2.11-rn-3.0.1(p4build@trinidad.arubanetworks.com)#21263 Wed May 6 22:30:18 PDT 2009 Yes 1 0 0 0 In Progress (44 secs)



When you are upgrading the backup partition, the AP can still accept clients as usual. When the process is complete, however, the AP will reboot. If you reset the Remote AP, using a paperclip, you will then see the new ArubaOS 5.0 features.


Colin Joseph
Aruba Customer Engineering

Looking for an Answer? Search the Community Knowledge Base Here: Community Knowledge Base

Occasional Contributor II
Posts: 19
Registered: ‎08-16-2011

Re: COTD: apflash backup-partition (or how do I upgrade my RAP5 provisioning image?)

I want to add something: Even if the backup image is not RN code, but a previous version of release 5.0.4.x then the apflash needs to be done.

 

(OAW-4302-SMB) #show ap image version

AP Image Versions On Controller
-------------------------------
AOS-W version 5.0.4.3 for OAW-AP6x_7x (p4build@corsica) (gcc version 3.4.3) #31056 Wed Nov 9 15:51:57 PST 2011

Access Points Image Version
---------------------------
AP            Running Image Version String                                                                                    Flash (Production) Image Version String                                                                         Flash (Provisioning/Backup) Image Version String                                                                Matches  Num Matches  Num Mismatches  Bad Checksums  Bad Provisioning Checksums  Image Load Status
--            ----------------------------                                                                                    ---------------------------------------                                                                         ------------------------------------------------                                                                -------  -----------  --------------  -------------  --------------------------  -----------------
192.168.6.94  AOS-W version 5.0.4.3 for OAW-AP6x_7x (p4build@corsica) (gcc version 3.4.3) #31056 Wed Nov 9 15:51:57 PST 2011  AOS-W version 5.0.4.3 for OAW-AP6x_7x (p4build@corsica) (gcc version 3.4.3) #31056 Wed Nov 9 15:51:57 PST 2011  AOS-W version 5.0.3.0 for OAW-AP6x_7x (p4build@cyprus) (gcc version 3.4.3) #26207 Tue Nov 30 09:13:58 PST 2010  Yes      1            0               0              0                           Done
Total APs:1

 

 

~ # (OAW-4302-SMB) #apflash ap-name 00:0b:86:c3:7c:6b backup-partition

 

 

(OAW-4302-SMB) #show ap image version

AP Image Versions On Controller
-------------------------------
AOS-W version 5.0.4.3 for OAW-AP6x_7x (p4build@corsica) (gcc version 3.4.3) #31056 Wed Nov 9 15:51:57 PST 2011

Access Points Image Version
---------------------------
AP            Running Image Version String                                                                                    Flash (Production) Image Version String                                                                         Flash (Provisioning/Backup) Image Version String                                                                Matches  Num Matches  Num Mismatches  Bad Checksums  Bad Provisioning Checksums  Image Load Status
--            ----------------------------                                                                                    ---------------------------------------                                                                         ------------------------------------------------                                                                -------  -----------  --------------  -------------  --------------------------  -----------------
192.168.6.94  AOS-W version 5.0.4.3 for OAW-AP6x_7x (p4build@corsica) (gcc version 3.4.3) #31056 Wed Nov 9 15:51:57 PST 2011  AOS-W version 5.0.4.3 for OAW-AP6x_7x (p4build@corsica) (gcc version 3.4.3) #31056 Wed Nov 9 15:51:57 PST 2011  AOS-W version 5.0.4.3 for OAW-AP6x_7x (p4build@corsica) (gcc version 3.4.3) #31056 Wed Nov 9 15:51:57 PST 2011  Yes      1            0               0              0                           Done
Total APs:1

Guru Elite
Posts: 21,260
Registered: ‎03-29-2007

Re: COTD: apflash backup-partition (or how do I upgrade my RAP5 provisioning image?)

[ Edited ]

.



Colin Joseph
Aruba Customer Engineering

Looking for an Answer? Search the Community Knowledge Base Here: Community Knowledge Base

Occasional Contributor II
Posts: 19
Registered: ‎08-16-2011

Re: COTD: apflash backup-partition (or how do I upgrade my RAP5 provisioning image?)

I checked it with a RAP2 having the 5.0.3 release in the backup and could not provision it on a 6.2.x controller. Only after flashing the backup to 5.0.4, the RAP2 could be provisioned on a 6.2 controller.

Guru Elite
Posts: 21,260
Registered: ‎03-29-2007

Re: COTD: apflash backup-partition (or how do I upgrade my RAP5 provisioning image?)


rolfo333 wrote:

I checked it with a RAP2 having the 5.0.3 release in the backup and could not provision it on a 6.2.x controller. Only after flashing the backup to 5.0.4, the RAP2 could be provisioned on a 6.2 controller.


I don't know why that would happen, but I will agree with you that the latest 5.x or 5.0.4 is the best practice for this.

 

Thank you for uncovering this.

 



Colin Joseph
Aruba Customer Engineering

Looking for an Answer? Search the Community Knowledge Base Here: Community Knowledge Base

Frequent Contributor I
Posts: 66
Registered: ‎05-12-2009

Re: COTD: apflash backup-partition (or how do I upgrade my RAP5 provisioning image?)

In the release notes for 6.2.1.4 it specifically mentions the need to upgrade the backup partition/provisioning image on RAP-5/RAP-5WN but says nothing about RAP2.  After reading this post I am questioning what the outcome will be on my RAP2's running rn code in the backup partition.  I believe I read from cjoseph that they would lose some functionality such as static ip, pppoe, etc when self provisioning but they could still connect to a 6.x controller.  I am looking for some input as I have an upgrade scheduled this weekend and want to be certain there is no risk of RAP2's losing the ability to connect, Thanks.

Occasional Contributor II
Posts: 19
Registered: ‎08-16-2011

Re: COTD: apflash backup-partition (or how do I upgrade my RAP5 provisioning image?)

I did not succeed in getting a RAP2 with backup code prior 5.0.4 running at all on a 6.2 controller.

Frequent Contributor I
Posts: 66
Registered: ‎05-12-2009

Re: COTD: apflash backup-partition (or how do I upgrade my RAP5 provisioning image?)

Thanks for the input.  What did you experience how did you resolve?

 

Thanks

Occasional Contributor II
Posts: 19
Registered: ‎08-16-2011

Re: COTD: apflash backup-partition (or how do I upgrade my RAP5 provisioning image?)

This is described in this thread, all RAP2/5/5WN need to flash backup on a Rel. 5.0.4 controller if they have a version prior 5.0.4.

Frequent Contributor I
Posts: 66
Registered: ‎05-12-2009

Re: COTD: apflash backup-partition (or how do I upgrade my RAP5 provisioning image?)

Thanks Rolfo.  I have a case open with TAC as well.  I will be sure to update with my findings.  The release notes only mention the RAP-5 and RAP-5WN so I am looking for some clarification.

Search Airheads
Showing results for 
Search instead for 
Did you mean: